package de.ivu.elect.presentation.kandidatur.action;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Specializes
public class NlWasKandidaturActionMenu extends KandidaturActionMenu {
  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasKandidaturWiederbelebenAction nlWasKandidaturWiederbelebenAction;

  @Inject
  private transient NlWasKandidaturVerstorbenAction nlWasKandidaturVerstorbenAction;

  @Override
  protected List<ActionEntry<Kandidatur>> getActionEntriesSorted() {
    List<ActionEntry<Kandidatur>> result = new ArrayList<>();

    result.add(nlWasKandidaturVerstorbenAction);
    result.add(nlWasKandidaturWiederbelebenAction);

    return result;
  }
}
